Firefox 3.5 update and WordPress Oddities

Posted: Saturday, May 23, 2009 by El Guru in Add-ons, Blog News, Firefox, Fx 3.0, Fx 3.5, Mozilla News

PhotobucketI updated to Shiretoko (Firefox 3.5 developmental) version3.5 pre last night. This marks the en dof the Beta builds for Firefox 3.5 and means there should be an upcoming Release Candidate soon. Everything for the most part went as expected with this update including about 1/3 of my add-ons becoming disabled. The add-ons all appear to be working fine now once they were force installed via the Nightly Tester Tools.

However, when I went to compose a blog post in Firefox 3.5, I could not get the ‘Visual’ editor to work correctly. No, it did not crash my browser like it did earlier this year with the AdBlock Plus conflicts. It simply does not work. So I switched over to my Firefox 3 (3.0.8) build and seems to be working fine. I thought it may have been an extension but I am running the same set of add-ons in both the Firefox 3.0 and 3.5 builds. With a couple minor exceptions, I have one extension in 3.0 that I don’t have in 3.5. Further it appears NoScripts and Personas need to be updated along with Firefox 3 itself.

So, after this post I amgoing to restart thus upgrading to Firefox 3.0.10 and to the latest versions of NoScripts and Personas. I’ll see if I can duplicate the oddities I having with WordPress, this will determine if it is an add-on or the new 3.5 build that is conflicting.


Update: After updating from Firefox 3.0.8 to 3.0.10 along with updating both Personas and NoScripts, WordPress still works fine in Firefox 3.0 and doesn’t in Firefox 3.5. Just for good measure I also removed the extension from my 3.0.10 profile that I was not using in 3.5, just in case for some really odd reason it was causing WordPress to function correctly.


Update 2: Here is my current add-ons via Infolister:

Last updated: Sat, 23 May 2009 08:24:54 GMT
User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1pre) Gecko/20090522 Firefox/3.0.3

Extensions (enabled: 26, disabled: 0):

Themes (1):

Plugins (14):

  • Adobe Acrobat
  • Google Update
  • IE Tab Plug-in
  • iTunes Application Detector
  • Java(TM) Platform SE 6 U12
  • Java(TM) Platform SE 6 U13
  • Mozilla Default Plug-in
  • QuickTime Plug-in 7.6
  • RealNetworks Rhapsody Player Engine
  • RealPlayer Version Plugin
  • RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit)
  • Shockwave Flash
  • Shockwave for Director
  • Windows Presentation Foundation
Comments
  1. Oshayr says:

    The Google Update plug-in has caused me many problems before I removed it in Firefox 3.1beta3 and 3.5beta4 while it didn’t cause them in Firefox 3.0.* (using the same profile for both)
    The problems were mostly Gmail Chat related, but also i had many sites that did not load completely (showing just the text without any of the graphics) while it was installed, This may have caused the problem.

    Do you know If my firefox 3.5beta4 will update to this new version, or should I download?

  2. El Guru says:

    @Oshayr, the only Google ‘plugin’ I have is Google Gears. If you are using Beta 4 it should auto-update to RC1 when that is released.

  3. […] Releases « Firefox 3.5 update and WordPress Oddities […]

  4. Oshayr says:

    No not “Google Gears”, I am talking about “Google Update” in your plugins list.

  5. You can download firefox and hundreds of other programs like it at http://www.downloadshack.net
    We offer everything you could possibly need!

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s